shlibpp::SharedLibraryClassApi Struct Reference

Collection of hooks for creating/destroying a plugin. More...

`#include <robottestingframework/dll/SharedLibraryClassApi.h>`

## Public Attributes

int | startCheck
int | structureSize
int | systemVersion
void *(* | create )()
void(* | destroy )(void *obj)
int(* | getVersion )(char *ver, int len)
int(* | getAbi )(char *abi, int len)
int(* | getClassName )(char *name, int len)
int(* | getBaseClassName )(char *name, int len)
int | roomToGrow [SHLIBPP_SHAREDLIBRARYCLASSAPI_PADDING]
int | endCheck

## Detailed Description

Collection of hooks for creating/destroying a plugin.

Be careful to check carefully for compatibility before using create() or destroy().

Definition at line 45 of file SharedLibraryClassApi.h.

## Member Data Documentation

## create

void*(* shlibpp::SharedLibraryClassApi::create) ()

Definition at line 55 of file SharedLibraryClassApi.h.

## destroy

void(* shlibpp::SharedLibraryClassApi::destroy) (void *obj)

Definition at line 56 of file SharedLibraryClassApi.h.

## endCheck

int shlibpp::SharedLibraryClassApi::endCheck

Definition at line 62 of file SharedLibraryClassApi.h.

## getAbi

int(* shlibpp::SharedLibraryClassApi::getAbi) (char *abi, int len)

Definition at line 58 of file SharedLibraryClassApi.h.

## getBaseClassName

int(* shlibpp::SharedLibraryClassApi::getBaseClassName) (char *name, int len)

Definition at line 60 of file SharedLibraryClassApi.h.

## getClassName

int(* shlibpp::SharedLibraryClassApi::getClassName) (char *name, int len)

Definition at line 59 of file SharedLibraryClassApi.h.

## getVersion

int(* shlibpp::SharedLibraryClassApi::getVersion) (char *ver, int len)

Definition at line 57 of file SharedLibraryClassApi.h.

## roomToGrow

int shlibpp::SharedLibraryClassApi::roomToGrow[SHLIBPP_SHAREDLIBRARYCLASSAPI_PADDING]

Definition at line 61 of file SharedLibraryClassApi.h.

## startCheck

int shlibpp::SharedLibraryClassApi::startCheck

Definition at line 48 of file SharedLibraryClassApi.h.

## structureSize

int shlibpp::SharedLibraryClassApi::structureSize

Definition at line 50 of file SharedLibraryClassApi.h.

## systemVersion

int shlibpp::SharedLibraryClassApi::systemVersion

Definition at line 53 of file SharedLibraryClassApi.h.

The documentation for this struct was generated from the following file:

- src/plugins/dll/include/robottestingframework/dll/SharedLibraryClassApi.h